package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
/**
 * 菜品
 * @author longmeizhen
 */
public class MealDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8874398574804453271L;

	private String id;
	private String mealCodeId;//餐品id(数据字典id)
	private String mealName;//餐品名
	private String specStr;//规格
	private String spec;//规格
	private String stapleFood;//主食
	private String stapleFoodStr;//主食
	private List<Map<String,Object>> stapleFoodArr;
	private String mealDescribe;//餐品描述
	private String deliveryTimeStr;//送餐时间
	private String supplyType;//供应类型（1、长期有效2按具体时间供应）
	private String supplyTime;//供应时间
	private String status;//状态（1上架2下架）
	private String orgId;
	private Integer isMeetFood;
	private String mealImagesUrl; 
	private String mealImages; 
	private String isModel;//是否设为模板(1是0否)
	private int foodCount;//餐品数量
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getMealName() {
		return mealName;
	}
	public void setMealName(String mealName) {
		this.mealName = mealName;
	}
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}
	public String getStapleFood() {
		return stapleFood;
	}
	public void setStapleFood(String stapleFood) {
		this.stapleFood = stapleFood;
	}
	public String getMealDescribe() {
		return mealDescribe;
	}
	public void setMealDescribe(String mealDescribe) {
		this.mealDescribe = mealDescribe;
	}
	public String getDeliveryTimeStr() {
		return deliveryTimeStr;
	}
	public void setDeliveryTimeStr(String deliveryTimeStr) {
		this.deliveryTimeStr = deliveryTimeStr;
	}
	public String getSupplyType() {
		return supplyType;
	}
	public void setSupplyType(String supplyType) {
		this.supplyType = supplyType;
	}
	public String getSupplyTime() {
		return supplyTime;
	}
	public void setSupplyTime(String supplyTime) {
		this.supplyTime = supplyTime;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public String getMealImages() {
		return mealImages;
	}
	public void setMealImages(String mealImages) {
		this.mealImages = mealImages;
	}
	public String getMealImagesUrl() {
		return mealImagesUrl;
	}
	public void setMealImagesUrl(String mealImagesUrl) {
		this.mealImagesUrl = mealImagesUrl;
	}
	public String getStapleFoodStr() {
		return stapleFoodStr;
	}
	public void setStapleFoodStr(String stapleFoodStr) {
		this.stapleFoodStr = stapleFoodStr;
	}
	public String getIsModel() {
		return isModel;
	}
	public void setIsModel(String isModel) {
		this.isModel = isModel;
	}
	public String getMealCodeId() {
		return mealCodeId;
	}
	public void setMealCodeId(String mealCodeId) {
		this.mealCodeId = mealCodeId;
	}
	public String getSpecStr() {
		return specStr;
	}
	public void setSpecStr(String specStr) {
		this.specStr = specStr;
	}
	public int getFoodCount() {
		return foodCount;
	}
	public void setFoodCount(int foodCount) {
		this.foodCount = foodCount;
	}
	public Integer getIsMeetFood() {
		return isMeetFood;
	}
	public void setIsMeetFood(Integer isMeetFood) {
		this.isMeetFood = isMeetFood;
	}
	public List<Map<String, Object>> getStapleFoodArr() {
		return stapleFoodArr;
	}
	public void setStapleFoodArr(List<Map<String, Object>> stapleFoodArr) {
		this.stapleFoodArr = stapleFoodArr;
	}
	
}
